[![MIT License][license-shield]](https://s3.amazonaws.com/www.codeflex.lat/documentos/c3320017-1937-4353-8881-475e3c89e25e/LICENSE.txt)

<!-- PROJECT LOGO -->
<br />
<p align="center">
  <a href="https://codeflex.com.co">
    <img src="https://codeflex.com.co/assets/img/navegadorlogo/logooriginal.png" alt="Logo" width="300">
  </a>

  <h3 align="center">CODEFLEX S.A.S.</h3>

  <p align="center">
    Codificación y Almacenamiento Simplificados | IDE
    <br />
    <a href="https://docs.codeflex.com.co/"><strong>Explore the docs »</strong></a>
    <br />
  </p>
</p>

<!-- ABOUT THE PROJECT -->
## About The Project

[![miniatura][miniatura]](https://codeflex.com.co)


<!-- GETTING STARTED -->
## Getting Started

### Prerequisites

You need to make sure you have installed the following modules.
* Requests
  ```s
  pip install requests
  ```

### Installation

```python
pip install codeflex
```

<!-- USAGE EXAMPLES -->
## Usage

* Example 1 | Connection to MySQL
    ```python
    from codeflex.company import mysql

    respuesta = mysql.CONNECTOR("your_user", "your_password","your_database", "your_SQL") #Usuario , Contraseña, Base de datos, Cualquier Sql (Actualiza, Elimina, Consulta, Inserta) SOLO TABLAS
    print(respuesta)


    respuesta = mysql.UPDATETABLE_CUSTOM("your_user", "your_password","your_database", "your_SQL") #Usuario , Contraseña, Base de datos, Sql
    print(respuesta)


    respuesta = mysql.DELETETABLE_CUSTOM("your_user", "your_password","your_database", "your_SQL") #Usuario , Contraseña, Base de datos, Sql
    print(respuesta)
 

    respuesta = mysql.DELETETABLE("your_user", "your_password","your_database", "your_tablename") #Usuario , Contraseña, Base de datos, Nombre de la tabla
    print(respuesta)


    respuesta = mysql.TABLEINSERT_CUSTOM("your_user", "your_password","your_database", "your_SQL") #Usuario , Contraseña, Base de datos, Sql
    print(respuesta)
 

    respuesta = mysql.TABLEQUERY_CUSTOM("your_user", "your_password","your_database", "your_SQL") #Usuario , Contraseña, Base de datos, Sql
    print(respuesta)


    respuesta = mysql.TABLEQUERY("your_user", "your_password","your_database", "your_tablename") #Usuario , Contraseña, Base de datos, Nombre de la tabla
    print(respuesta)


    respuesta = mysql.CREATETABLE_CUSTOM("your_user", "your_password","your_database", "your_SQL") #Usuario , Contraseña, Base de datos, Sql
    print(respuesta)


    respuesta = mysql.CREATETABLE("your_user", "your_password","your_database", "your_tablename") #Usuario , Contraseña, Base de datos, Nombre de la tabla
    print(respuesta)


    respuesta = mysql.DELETEDB("your_user", "your_database") #Usuario y Base de datos
    print(respuesta)


    respuesta = mysql.CREATEDB("your_user", "your_database") #Usuario y Base de datos
    print(respuesta)
 
 
    respuesta = mysql.DBQUERY("your_user", "your_password") #Usuario y Contraseña
    print(respuesta)

    ```
 

* Example 2 | Connection to Polly
    ```python
    from codeflex.company import polly

    Text = "Prueba Final"
    VoiceId = "Lupe" # Para cambiar el VoiceId y LanguageCode, consulta la documentación. | API de Conexión a Polly
    LanguageCode = "es-US"
    TokenSub = "Your_TokenSub" # Para acceder a este servicio, utiliza tu TokenSub, que es un identificador único por cuenta y es necesario que pertenezcas al plan premium. | https://codeflex.com.co/drive/index.html#/Polly

    respuesta = polly.AUDIODATA(Text, VoiceId,LanguageCode,TokenSub)
    print(respuesta)
    # Respuesta: {"audioData": "SUQzBAAAAAAAI1RTU0UAAAAPAAADTGF2ZjU4Ljc2LjEwMAAAAAAAAAAAAAAA//EzfNsySGqKm/lCw0GpvBJAAwWmuAVDjr+V"} Base64


    respuesta = polly.DOWNLOAD(Text, VoiceId,LanguageCode,TokenSub)
    print(respuesta)
    # Respuesta: {'audioUrl': 'https://s3.amazonaws.com/hub.codeflex.lat/audioStream_1713562991794.mp3'}

    ```


_For more examples, please refer to the [Documentation](https://docs.codeflex.com.co/docs-page.html#section-3)_

_[CODEFLEX S.A.S.](https://codeflex.com.co/)_

_[Database Mysql](http://mysql.codeflex.com.co/)_

_[Create Account Mysql](https://codeflex.com.co/drive/index.html#/phpMyAdmin)_

<!-- LICENSE -->
## License

Distributed under the MIT License. See `LICENSE` for more information.

<!-- CONTACT -->
## Contact
Telefono: 3008130562 |
Email: info@codeflex.com.co

<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->
[contributors-shield]: https://img.shields.io/github/contributors/avmmodules/AVMWeather.svg?style=for-the-badge
[contributors-url]: https://github.com/avmmodules/AVMWeather/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/avmmodules/AVMWeather.svg?style=for-the-badge
[forks-url]: https://github.com/avmmodules/AVMWeather/network/members
[stars-shield]: https://img.shields.io/github/stars/avmmodules/AVMWeather.svg?style=for-the-badge
[stars-url]: https://github.com/avmmodules/AVMWeather/stargazers
[issues-shield]: https://img.shields.io/github/issues/avmmodules/AVMWeather.svg?style=for-the-badge
[issues-url]: https://github.com/avmmodules/AVMWeather/issues
[license-shield]: https://img.shields.io/github/license/avmmodules/AVMWeather.svg?style=for-the-badge
[license-url]: https://github.com/avmmodules/AVMWeather/blob/main/LICENSE
[miniatura]: https://codeflex.com.co/assets/img/ggg.webp
